#include <iostream>
#include <bits/stdc++.h>
using namespace std;
int main()
{
    int n,m=0,a,b,c,d;
    cin >> n;
    cin >> a >> b >> c >> d;
    if(n==1)
    {
        cout << m;
    }
    if(n==2)
    {
        if(a==1 && b==1 && c==2 && d==2)
        {
            cout << m;
        }
        if(a==1 && b==2 && c==2 && d==1)
        {
            cout << m;
        }
        else
        {
            cout << m+1;
        }
    }
    return 0;
}